@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@200&family=Uchen&display=swap'); /* Cairo */
@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro&display=swap'); /* Source Code Pro */
@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro&family=Zen+Tokyo+Zoo&display=swap'); /* Zen Tokyo Zoo */
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css"); /* Bootstrap Icons */
@import url('https://fonts.googleapis.com/css2?family=M+PLUS+1p:wght@300&display=swap'); /* M PLUS 1p */
/* font-family: 'Cairo', sans-serif; */
/* font-family: 'Source Code Pro', monospace; */
/* font-family: 'Zen Tokyo Zoo', cursive; */
/* font-family: 'M PLUS 1p', sans-serif; */

@media screen and (orientation: landscape) {
	.box {
		width: 40%;
	}
}

@media screen and (orientation: portrait) {
	.box {
		width: 70%;
	}
}

body {
    background: #333;
}

.container {
    font-family: 'M PLUS 1p', sans-serif;
    width: auto;
    height: 97vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.box {
    /* background-color: blue; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    box-shadow: rgba(0, 0, 0, 0.20) 0px 22px 70px 4px;
    margin: auto;
	padding: 30px;
    width: auto;
    height: auto;
    
}

img {
    width: 90px;
    height: auto;
    padding: 0;
    margin: 0;
    transition: width 1.25s, height 1.25s, background-color 1.25s, transform 1.25s;
}

img:hover{
    width: 100px;
    height: auto;
    padding: 0;
    margin: 0;
    transform: rotate(360deg);
}


h1 {
    width: auto;
    height: auto;
    padding: 0;
    margin: 10px;
    font-family: 'M PLUS 1p', sans-serif;
    font-size: 28px;
    color: rgb(211, 211, 211);
}

.name,
.social,
.contact {
    width: auto;
    height: auto;
    padding: 0;
    margin: 10px;
    font-family: 'M PLUS 1p', sans-serif;
    font-size: 28px;
    color: rgb(211, 211, 211);
    transition: all 0.25s ease-out;
}

h2 {
    width: auto;
    height: auto;
    padding: 0;
    margin: 10px;
    font-weight: bold;
    font-size: 25px;
    color: lightgrey;
    transition: all 0.25s ease-out;
}

p {
    width: auto;
    height: auto;
    padding: 0;
    margin: 0;
    font-size: 17px;
    color: rgb(153, 153, 153);
    transition: all 0.25s ease-out;
}

a {
    width: auto;
    height: auto;
    padding: 0;
    margin: 0;
    font-weight: bold;
    font-size: 17px;
    color: rgb(87, 173, 238);
    transition: all 0.45s ease-out;
}

a:hover {
    letter-spacing: 5px;
    color: rgb(154, 205, 50);
}

a:link { 
    text-decoration:none; 
} 

.copyright {
    width: 100%;
    height: auto;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center;
    position: fixed;
    /* box-shadow: rgba(0, 0, 0, 0.56) 0px 0px 50px 4px; */
    /* box-shadow: rgba(255, 0, 0, 0.56) -2px -2px 2px -2px; */
    box-shadow: rgba(154, 205, 50, 0.56) -2px -2px 2px -2px;
    background-image:linear-gradient(rgba(255,255,255,0) 0,#333 5%);
}

.copyright p{
    font-size: 13px;
}


/* 🔽🔽🔽 Bewick je t'ai copié-collé 😇 */
.backtext { 
    font-size: 3em;
	position: fixed;
	color: rgba(0, 0, 0, 0.08);
	top: 0;
	left: 0;
	writing-mode: vertical-rl;
    width: 100%;
	height: auto;
	transform: rotate(180deg);
	text-align: justify;
	user-select: none;
	letter-spacing: 5px;
	z-index: -1;
    font-family: 'Cairo', sans-serif;
}

.name:hover {
    letter-spacing: 1px;
    color: rgb(205, 50, 50);
}

.social:hover {
    letter-spacing: 1px;
    color: rgb(235, 248, 59);
}

.contact:hover {
    letter-spacing: 1px;
    color: rgb(216, 84, 7);
}

p:hover {
    letter-spacing: 0.5px;
    color: rgb(205, 50, 115);
}